Summary:	Open Asset Import Library
Summary(pl.UTF-8):	Asset Import - otwarta biblioteka do importu danych trójwymiarowych
Name:		assimp
Version:	3.1.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://downloads.sourceforge.net/assimp/%{name}-%{version}_no_test_models.zip
# Source0-md5:	ccd4788204509da58a3a53c7aeda7a8b
URL:		http://sourceforge.net/projects/assimp/
BuildRequires:	cmake >= 2.6
BuildRequires:	libstdc++-devel
BuildRequires:	minizip-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	unzip
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Importer library to import assets from different common 3D file
formats such as Collada, Blend, Obj, X, 3DS, LWO, MD5, MD2, MD3, MDL,
MS3D and a lot of other formats. The data is stored in an own
in-memory data-format, which can be easily processed.

%description -l pl.UTF-8
Biblioteka importująca służąca do odczytu danych trójwymiarowych
(assets) z różnych popularnych formatów plików, takich jak Collada,
Blend, Obj, X, 3DS, LWO, MD5, MD2, MD3, MDL, MS3D i innych. Dane są
przechowywane w pamięci, we własnym formacie, który można łatwo
przetworzyć.

%package devel
Summary:	Header files for assimp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki assimp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The header files needed for development of programs using the assimp
library.

%description devel -l pl.UTF-8
Pliki nagłówkowe niezbędne do tworzenia programów wykorzystujących
bibliotekę assimp.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DASSIMP_LIB_INSTALL_DIR:PATH=%{_lib}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE Readme.md
%attr(755,root,root) %{_libdir}/libassimp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libassimp.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/assimp
%attr(755,root,root) %{_libdir}/libassimp.so
%{_libdir}/cmake/assimp-3.1
%{_includedir}/assimp
%{_pkgconfigdir}/assimp.pc
%changelog
* Sat Nov 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/assimp.git;a=log;h=master

* Sat Nov 14 2015 Jakub Bogusz <qboosh@pld-linux.org> 1dcefa8
- pl
- ASSIMP_LIB_INSTALL_DIR must be relative path to make valid .pc file

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> e387bbb
- fix install on lib64 systems

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> 23289b0
- cleanups; drop bogus epoch

* Sat Oct 17 2015 Elan Ruusamäe <glen@delfi.ee> 05a9717
- update BR

* Sat Oct 17 2015 Lukasz Masko <lmasko@pld-linux.org> d51c898
- Initial package version, propably needs some touch.

